<?php
/**
 * angularity custom functions
 *
 * @package angularity
 */
function add_ie_html5_shim () {
    echo '<!--[if lt IE 9]>';
    echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';
    echo '<![endif]-->';
}

add_action('wp_head', 'add_ie_html5_shim', 1);



//Add image size

if ( function_exists( 'add_image_size' ) ) { 
		add_image_size( 'medium-image', 420, 9999 ); //220pixels wide (and unlimited height)
		add_image_size( 'small-image', 220, 9999 ); //220pixels wide (and unlimited height)
		add_image_size( 'max-width-paragraph-image', 700, 9999 ); //220pixels wide (and unlimited height)
   		add_image_size( 'x-small-image', 180, 9999 ); //180pixels wide (and unlimited height)
  		add_image_size( 'xx-small-image', 120, 9999 ); //120pixels wide (and unlimited height)
}
add_filter('image_size_names_choose', 'my_image_sizes');
function my_image_sizes($sizes) {
        $addsizes = array(
        	 "medium-image" 				=> __( "Medium", 'angularity'),
             "small-image" 					=> __( "Small", 'angularity'),
             "max-width-paragraph-image" 	=> __( "FitParagraph", 'angularity'),
             "x-small-image" 				=> __( "X Small Image", 'angularity'),
             "xx-small-image" 				=> __( "XX Small Image", 'angularity')
                );
        $newsizes = array_merge($sizes, $addsizes);
        return $newsizes;
}




//Load up jQuery in the header. Use this jQuery in no conflicts mode.

function insert_jquery(){
   wp_enqueue_script('jquery');
}
add_filter('wp_enqueue_scripts','insert_jquery');



//Size Featured Image
if ( function_exists( 'add_theme_support' ) ) {
	add_theme_support( 'post-thumbnails' );
    add_image_size( 'featured', 640, 9999, true );
      
}



//Add css style to the tiny mce edit window

   add_editor_style( 'editor-style.css' );



if ( function_exists('register_sidebar') )
  register_sidebar(array(
    'name' 			=> 'Footer Widget Contact Info',
    'id' 			=> 'footer_widget_contact',
    'before_widget' => '<aside id="%1$s" class="footer-widget widget %2$s">',
	'after_widget' 	=> '</aside>',
	'before_title' 	=> '<h1 class="footer-contact-title">',
	'after_title' 	=> '</h1>',
  )
);




function footer_jquery_function() {
   
echo '<script type="text/javascript" src="'.get_template_directory_uri().'/js/scroll-to-top.js" ></script>  ';
echo '';
echo '<script  type="text/javascript" src="'.get_template_directory_uri().'/js/footer-jquery.js" ></script>  ';


}
add_action('wp_footer', 'footer_jquery_function');
