<?php
/**
 * The template used for displaying page content in page.php
 *
 * @package angularity
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<h1 class="entry-title"><?php the_title(); ?></h1>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php if ( has_post_thumbnail() ) { 
 // check if the post has a Post Thumbnail assigned to it.
	echo '<div class="featured-img-on-page">';
  the_post_thumbnail();
  echo '</div> ';
} 
?>
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'angularity' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
	<?php edit_post_link( __( '<i class="fa fa-pencil"></i>&nbsp;Edit', 'angularity' ), '<footer class="entry-meta"><span class="edit-link">', '</span></footer>' ); ?>
</article><!-- #post-## -->
